Skip to content

Items Connect API (0.0.1)

The Items Connect API streamlines the listing process by allowing sellers to programmatically post items for sale, offering an efficient alternative to creating individual item listings through the user interface.

Download OpenAPI description
Languages
Servers
Production
https://connect.wallapop.com

An item refers to a listing created by a user on the Wallapop marketplace, indicating their intent to sell. These items can include a diverse range of products.

Operations

A category is a classification for product listings, with specific attributes and constraints that products within the category must adhere to.

Operations

Request

Retrieve Wallaop's complete category hierarchy for items. This list will help you identify the categories that best classify the items you want to sell.

Security
oAuthWithPKCE
Headers
Accept-Languagestring

The language of the category title will be returned when it has translations in different languages.

Example: es
curl -i -X GET \
  https://connect.wallapop.com/items/categories \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The categories were successfully retrieved.

Bodyapplication/json
categoriesArray of objects(Category)

Wallapop's category hierarchy used to classify items. Some categories serve as grouping mechanisms, while others can be assigned to items.

Response
application/json
{ "categories": [ { "id": 24200, "parent_id": 24200, "name": "Tecnología y electrónica", "assignable_to_item": false, "subcategories": [ { "id": 10414, "parent_id": 24200, "name": "TV", "assignable_to_item": true } ] } ] }

Request

Returns the acceptable attributes for items categorized by category, including mandatory and optional attributes.

Security
oAuthWithPKCE
Path
idstringrequired

The ID of the category.

Example: 12467
Headers
Accept-Languagestring

The language used to present the attribute title when it has translations in multiple languages.

Example: es
curl -i -X GET \
  https://connect.wallapop.com/items/categories/12467/attributes \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

The category's attributes were successfully retrieved.

Bodyapplication/json
attributesArray of CategoryAttributeDiscreteValuesResponse (object) or CategoryAttributeTextValueResponse (object) or CategoryAttributeNumericValueResponse (object)
Example: {"example":{"attributes":[{"id":"condition","type":"discrete_values","is_mandatory":true,"options":{"max_choices":1},"values":[{"id":"new","title":"Nuevo"},{"id":"as_good_as_new","title":"Como nuevo"},{"id":"good","title":"En buen estado"},{"id":"fair","title":"En condiciones aceptables"},{"id":"has_given_it_all","title":"Lo ha dado todo"}]},{"id":"brand","type":"text","is_mandatory":true,"max_length":75},{"id":"height_cm","type":"numeric","is_mandatory":false,"data_type":{"type":"integer"},"range":{"greater_than_or_equal":0,"less_than_or_equal":999}}]}}
Response
application/json
{ "attributes": { "example": { "attributes": [ { "id": "condition", "type": "discrete_values", "is_mandatory": true, "options": {}, "values": [] }, { "id": "brand", "type": "text", "is_mandatory": true, "max_length": 75 }, { "id": "height_cm", "type": "numeric", "is_mandatory": false, "data_type": {}, "range": {} } ] } } }